{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Scrapio","colors":{"primary":"#6366f1","light":"#818cf8","dark":"#4f46e5"},"logo":{"light":"https://mintcdn.com/saasphirellc/nl8iB6WP2xhQfWFA/logo/light.svg?fit=max\u0026auto=format\u0026n=nl8iB6WP2xhQfWFA\u0026q=85\u0026s=8ca3726714701f9cce6ef084c0a2df53","dark":"https://mintcdn.com/saasphirellc/nl8iB6WP2xhQfWFA/logo/dark.svg?fit=max\u0026auto=format\u0026n=nl8iB6WP2xhQfWFA\u0026q=85\u0026s=3339444bf95eb4eea4008cfd0ec5a29b"},"favicon":"https://mintcdn.com/saasphirellc/5ONVl_TcsR-pEfQK/favicon.svg?fit=max\u0026auto=format\u0026n=5ONVl_TcsR-pEfQK\u0026q=85\u0026s=08d7f121b120478033f60833af10ad7a","api":{"openapi":"openapi.json","mdx":{"auth":{"method":"bearer"},"server":"https://api.scrapio.dev"}},"navbar":{"links":[{"href":"https://scrapio.dev","label":"Dashboard"}],"primary":{"type":"button","label":"Get API Key","href":"https://scrapio.dev#pricing"}},"footer":{"socials":{"github":"https://github.com/xsronhou/scrapio"},"links":[{"header":"Legal","items":[{"label":"scrapio.dev owned by SaaSphire LLC","href":"https://scrapio.dev/terms"}]}]},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"saasphirellc","hasAudioNarration":false,"actualSubdomain":"saasphirellc","customDomains":["docs.scrapio.dev"],"gitSource":{"type":"github","owner":"xsronhou","repo":"scrapio-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6aba076af676a8b50e63ccdd","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Reference","count":211},{"language":"default","tag":"Instagram","count":19},{"language":"default","tag":"Facebook","count":15},{"language":"default","tag":"Monitors","count":11},{"language":"default","tag":"Guides","count":8},{"language":"default","tag":"Spotify","count":7},{"language":"default","tag":"Twitter","count":7},{"language":"default","tag":"Getting Started","count":7},{"language":"default","tag":"Agoda","count":6},{"language":"default","tag":"YouTube","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/glassdoor/job","slug":"/api-reference/glassdoor/job","pageMetadata":{"title":"Get a Glassdoor job's detail","description":"Fetch full detail for a single Glassdoor job listing by job_id.","openapi":"get /v1/glassdoor/job","href":"/api-reference/glassdoor/job"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Fetch full detail for a single Glassdoor job listing by job_id.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get a Glassdoor job's detail","description":"Fetch full detail for a single Glassdoor job listing by job_id.","openapi":"get /v1/glassdoor/job","href":"/api-reference/glassdoor/job"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Glassdoor"],"summary":"Get a Glassdoor job's detail","description":"Fetch full detail for a single Glassdoor job listing by job_id.","operationId":"getGlassdoorJobDetail","parameters":["b4680823-5f23-4da4-862a-0ca0f7884af5"],"responses":{"200":"5f0f41be-3468-4a82-b4ae-662ed9d66828","400":"b51433f7-17cd-46bc-b39c-43992c9cc77b","401":"9ed48c3b-dfc1-4399-a16b-690ed937eb1b","402":"f92c8bb4-a5fc-4517-b61c-1b378bb3f0a9","404":"2ce9c125-49eb-4607-a331-78d111946bc5","429":"80d5051c-2e3f-495f-a99a-222dc38150a1","502":"7271110d-3beb-4d7b-9206-3cb540aaacc5","503":"90e5de94-0fa2-41ac-909f-983edb9fa162"},"x-codeSamples":[{"lang":"cURL","label":"cURL","source":"curl \"https://api.scrapio.dev/v1/glassdoor/job?job_id=1234567890\" \\\n -H \"Authorization: Bearer $SCRAPIO_API_KEY\""}],"method":"get","type":"path","servers":["8e5483f5-e7d4-4aac-a7a5-8742d22967ad"],"security":["9de9856b-a147-4814-a55e-6377ca78dd9d"],"path":"/v1/glassdoor/job","baseUrlOptions":["https://api.scrapio.dev"],"title":"Get a Glassdoor job's detail","codeSamples":[{"label":"cURL","lang":"cURL","source":"curl \"https://api.scrapio.dev/v1/glassdoor/job?job_id=1234567890\" \\\n -H \"Authorization: Bearer $SCRAPIO_API_KEY\""}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"b4680823-5f23-4da4-862a-0ca0f7884af5":{"name":"job_id","in":"query","required":true,"schema":{"type":"string","minLength":1,"description":"A job_id from a /v1/glassdoor/jobs response","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"5f0f41be-3468-4a82-b4ae-662ed9d66828":{"description":"Full Glassdoor job detail.","content":{"application/json":{"schema":{"type":"object","properties":{"provider":{"type":"string","enum":["glassdoor"],"isRequired":true,"uniqueKey":"provider","typeLabel":"enum\u003cstring>"},"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"job_id":{"type":"string","isRequired":true,"uniqueKey":"job_id","typeLabel":"string"},"title":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"title","typeLabel":"string | null"},"url":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"url.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"url","typeLabel":"string | null"},"company":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"company.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"company.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company","typeLabel":"string | null"},"company_id":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_id.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_id","typeLabel":"number | null"},"company_ratings":{"oneOf":[{"type":"object","required":["overall","career_opportunities","compensation_and_benefits","culture_and_values","senior_management","work_life_balance","recommend_to_friend","ceo_approval"],"properties":{"overall":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.overall.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.overall.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.overall","typeLabel":"number | null"},"career_opportunities":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.career_opportunities.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.career_opportunities.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.career_opportunities","typeLabel":"number | null"},"compensation_and_benefits":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.compensation_and_benefits.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.compensation_and_benefits.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.compensation_and_benefits","typeLabel":"number | null"},"culture_and_values":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.culture_and_values.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.culture_and_values.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.culture_and_values","typeLabel":"number | null"},"senior_management":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.senior_management.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.senior_management.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.senior_management","typeLabel":"number | null"},"work_life_balance":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.work_life_balance.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.work_life_balance.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.work_life_balance","typeLabel":"number | null"},"recommend_to_friend":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.recommend_to_friend.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.recommend_to_friend.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.recommend_to_friend","typeLabel":"number | null"},"ceo_approval":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.ceo_approval.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.0.ceo_approval.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings.oneOf.0.ceo_approval","typeLabel":"number | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"company_ratings.oneOf.0","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"company_ratings.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"company_ratings","typeLabel":"object | null"},"location":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"location.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"location.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"location","typeLabel":"string | null"},"age_in_days":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"age_in_days.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"age_in_days.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"age_in_days","typeLabel":"number | null"},"is_easy_apply":{"type":"boolean","isRequired":true,"uniqueKey":"is_easy_apply","typeLabel":"boolean"},"salary":{"oneOf":[{"type":"object","required":["currency","period","low","median","high","source"],"properties":{"currency":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"salary.oneOf.0.currency.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.0.currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary.oneOf.0.currency","typeLabel":"string | null"},"period":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"salary.oneOf.0.period.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.0.period.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary.oneOf.0.period","typeLabel":"string | null"},"low":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"salary.oneOf.0.low.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.0.low.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary.oneOf.0.low","typeLabel":"number | null"},"median":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"salary.oneOf.0.median.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.0.median.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary.oneOf.0.median","typeLabel":"number | null"},"high":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"salary.oneOf.0.high.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.0.high.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary.oneOf.0.high","typeLabel":"number | null"},"source":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"salary.oneOf.0.source.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.0.source.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary.oneOf.0.source","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"salary.oneOf.0","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"salary.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"salary","typeLabel":"object | null"},"description_text":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"description_text.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"description_text.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"description_text","typeLabel":"string | null"},"description_html":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"description_html.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"description_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"description_html","typeLabel":"string | null"}},"required":["provider","request_id","job_id","title","url","company","company_id","company_ratings","location","age_in_days","is_easy_apply","salary","description_text","description_html"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"provider":"glassdoor","request_id":"\u003cstring>","job_id":"\u003cstring>","title":"\u003cstring>","url":"\u003cstring>","company":"\u003cstring>","company_id":123,"company_ratings":{"overall":123,"career_opportunities":123,"compensation_and_benefits":123,"culture_and_values":123,"senior_management":123,"work_life_balance":123,"recommend_to_friend":123,"ceo_approval":123},"location":"\u003cstring>","age_in_days":123,"is_easy_apply":true,"salary":{"currency":"\u003cstring>","period":"\u003cstring>","low":123,"median":123,"high":123,"source":"\u003cstring>"},"description_text":"\u003cstring>","description_html":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b51433f7-17cd-46bc-b39c-43992c9cc77b":{"description":"Invalid job_id.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"9ed48c3b-dfc1-4399-a16b-690ed937eb1b":{"description":"Missing or invalid API key.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"f92c8bb4-a5fc-4517-b61c-1b378bb3f0a9":{"description":"Glassdoor dedicated endpoints require a Starter plan or higher.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"2ce9c125-49eb-4607-a331-78d111946bc5":{"description":"The requested job could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"80d5051c-2e3f-495f-a99a-222dc38150a1":{"description":"Daily credit cap exceeded.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"7271110d-3beb-4d7b-9206-3cb540aaacc5":{"description":"Glassdoor upstream failed or re-challenged.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"90e5de94-0fa2-41ac-909f-983edb9fa162":{"description":"Glassdoor execution backend unavailable or unconfigured.","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"diagnostics":{"type":"object","properties":{"outcome":{"type":"string","enum":["failed"],"isRequired":true,"uniqueKey":"diagnostics.outcome","typeLabel":"enum\u003cstring>"},"retryable":{"type":"boolean","isRequired":true,"uniqueKey":"diagnostics.retryable","typeLabel":"boolean"},"blocked":{"type":"boolean","uniqueKey":"diagnostics.blocked","typeLabel":"boolean"},"timed_out":{"type":"boolean","uniqueKey":"diagnostics.timed_out","typeLabel":"boolean"}},"required":["outcome","retryable"],"additionalProperties":false,"uniqueKey":"diagnostics","typeLabel":"object"}},"required":["request_id","error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"request_id":"\u003cstring>","error":{"code":"\u003cstring>","message":"\u003cstring>"},"diagnostics":{"outcome":"failed","retryable":true,"blocked":true,"timed_out":true}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"9de9856b-a147-4814-a55e-6377ca78dd9d":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Key","scopes":[]}}},"servers":{"8e5483f5-e7d4-4aac-a7a5-8742d22967ad":{"url":"https://api.scrapio.dev","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API Key","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"saasphirellc","siteName":"Scrapio","title":"Get a Glassdoor job's detail - Scrapio","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-24T23:55:23.142Z","originalFileLocation":"api-reference/glassdoor/job.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Fetch full detail for a single Glassdoor job listing by job_id.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Scrapio\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get a Glassdoor job\u0026#x27;s detail - Scrapio\">\u003cmeta data-mint-head property=\"og:description\" content=\"Fetch full detail for a single Glassdoor job listing by job_id.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Scrapio\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.scrapio.dev/api-reference/glassdoor/job\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://saasphirellc.mintlify.site/_mintlify/api/og/v2?division=Glassdoor\u0026amp;title=Get+a+Glassdoor+job%27s+detail\u0026amp;description=Fetch+full+detail+for+a+single+Glassdoor+job+listing+by+job_id.\u0026amp;theme=1f78431f487e75023f9dd470\u0026amp;signature=8df57be6a036072d1acb24b47fd874bfd3d74f4d823632b8ca4b0987e41e63fa\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get a Glassdoor job\u0026#x27;s detail - Scrapio\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Fetch full detail for a single Glassdoor job listing by job_id.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://saasphirellc.mintlify.site/_mintlify/api/og/v2?division=Glassdoor\u0026amp;title=Get+a+Glassdoor+job%27s+detail\u0026amp;description=Fetch+full+detail+for+a+single+Glassdoor+job+listing+by+job_id.\u0026amp;theme=1f78431f487e75023f9dd470\u0026amp;signature=8df57be6a036072d1acb24b47fd874bfd3d74f4d823632b8ca4b0987e41e63fa\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/saasphirellc/Wiqz1522wyyRiMC5/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Scrapio\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6366f1\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.scrapio.dev/api-reference/glassdoor/job\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/glassdoor/job.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.scrapio.dev/#organization\",\"name\":\"Scrapio\",\"url\":\"https://docs.scrapio.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/saasphirellc/nl8iB6WP2xhQfWFA/logo/light.svg?fit=max\u0026auto=format\u0026n=nl8iB6WP2xhQfWFA\u0026q=85\u0026s=8ca3726714701f9cce6ef084c0a2df53\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.scrapio.dev#website\",\"name\":\"Scrapio\",\"url\":\"https://docs.scrapio.dev\",\"publisher\":{\"@id\":\"https://docs.scrapio.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.scrapio.dev/api-reference/glassdoor/job#webpage\",\"url\":\"https://docs.scrapio.dev/api-reference/glassdoor/job\",\"name\":\"Get a Glassdoor job's detail\",\"description\":\"Fetch full detail for a single Glassdoor job listing by job_id.\",\"dateModified\":\"2026-09-24T23:55:23.142Z\",\"isPartOf\":{\"@id\":\"https://docs.scrapio.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.scrapio.dev/api-reference/glassdoor/job#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.scrapio.dev/api-reference/glassdoor/job#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.scrapio.dev/api-reference/fetch\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Glassdoor\",\"item\":\"https://docs.scrapio.dev/api-reference/glassdoor\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get a Glassdoor job's detail\",\"item\":\"https://docs.scrapio.dev/api-reference/glassdoor/job\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.scrapio.dev/api-reference/glassdoor/job#apireference\",\"headline\":\"Get a Glassdoor job's detail\",\"name\":\"Get a Glassdoor job's detail\",\"description\":\"Fetch full detail for a single Glassdoor job listing by job_id.\",\"url\":\"https://docs.scrapio.dev/api-reference/glassdoor/job\",\"mainEntityOfPage\":{\"@id\":\"https://docs.scrapio.dev/api-reference/glassdoor/job#webpage\"},\"dateModified\":\"2026-09-24T23:55:23.142Z\",\"publisher\":{\"@id\":\"https://docs.scrapio.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.scrapio.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Scrapio\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Scrapio\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/glassdoor/job.md","siteName":"Scrapio","nav":{"global":null,"groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/introduction"},{"title":"Quickstart","href":"/quickstart"},{"title":"Authentication","href":"/authentication"},{"title":"Errors","href":"/errors"},{"title":"Rate Limits \u0026 Credits","href":"/rate-limits"},{"title":"SDKs \u0026 Client Libraries","href":"/sdks"},{"title":"MCP Server","href":"/mcp-server"}]},{"group":"Guides","pages":[{"title":"Fetching JavaScript Pages","href":"/guides/fetch-javascript-pages"},{"title":"Crawling Large Sites","href":"/guides/crawl-large-sites"},{"title":"Extracting Structured Data","href":"/guides/extract-structured-data"},{"title":"Browser Automation","href":"/guides/browser-automation"},{"title":"Async Jobs","href":"/guides/async-jobs"},{"title":"Identity \u0026 Sessions","href":"/guides/identity-and-sessions"},{"title":"Credit Management","href":"/guides/credit-management"},{"title":"Website Monitoring","href":"/guides/website-monitoring"}]},{"group":"API Reference","pages":[{"title":"Fetch","openapi":"post /v1/fetch","href":"/api-reference/fetch"},{"title":"Crawl","openapi":"post /v1/crawl","href":"/api-reference/crawl"},{"title":"Map","openapi":"post /v1/map","href":"/api-reference/map"},{"title":"Interact","openapi":"post /v1/interact","href":"/api-reference/interact"},{"title":"Search","openapi":"post /v1/search","href":"/api-reference/search"},{"title":"Google Search","openapi":"get /v1/google/search","href":"/api-reference/google"},{"title":"Fast Search","openapi":"get /v1/fast-search","href":"/api-reference/fast-search"},{"group":"YouTube","pages":[{"title":"YouTube","href":"/api-reference/youtube"},{"title":"Search YouTube","openapi":"get /v1/youtube/search","href":"/api-reference/youtube/search"},{"title":"Queue a search crawl","openapi":"post /v1/youtube/search/crawl","href":"/api-reference/youtube/search-crawl"},{"title":"Get video details","openapi":"get /v1/youtube/videos/{video_id}","href":"/api-reference/youtube/video"},{"title":"Get subtitles","openapi":"get /v1/youtube/subtitles","href":"/api-reference/youtube/subtitles"},{"title":"Get channel details","openapi":"get /v1/youtube/channel","href":"/api-reference/youtube/channel"}]},{"title":"Bing Search","openapi":"get /v1/bing/search","href":"/api-reference/bing"},{"title":"ChatGPT","openapi":"get /v1/chatgpt/prompt","href":"/api-reference/chatgpt"},{"title":"Perplexity","openapi":"get /v1/perplexity/prompt","href":"/api-reference/perplexity"},{"title":"Gemini","openapi":"get /v1/gemini/prompt","href":"/api-reference/gemini"},{"title":"TikTok","openapi":"get /v1/tiktok/post","href":"/api-reference/tiktok"},{"title":"Apple App Store","openapi":"get /v1/apple-app-store/app","href":"/api-reference/apple-app-store"},{"group":"Telegram","pages":[{"title":"Telegram","href":"/api-reference/telegram"},{"title":"Get a Telegram channel","openapi":"get /v1/telegram/channel","href":"/api-reference/telegram/channel"},{"title":"Get a Telegram channel's posts","openapi":"get /v1/telegram/channel/posts","href":"/api-reference/telegram/channel-posts"}]},{"group":"Rumble","pages":[{"title":"Rumble","href":"/api-reference/rumble"},{"title":"Search Rumble","openapi":"get /v1/rumble/search","href":"/api-reference/rumble/search"},{"title":"Get a Rumble channel's videos","openapi":"get /v1/rumble/channel/videos","href":"/api-reference/rumble/channel-videos"},{"title":"Get a Rumble video","openapi":"get /v1/rumble/video","href":"/api-reference/rumble/video"}]},{"group":"TikTok Shop","pages":[{"title":"TikTok Shop","href":"/api-reference/tiktok-shop"},{"title":"Search TikTok Shop","openapi":"get /v1/tiktok/shop/search","href":"/api-reference/tiktok-shop/search"},{"title":"Get a TikTok Shop product","openapi":"get /v1/tiktok/shop/product","href":"/api-reference/tiktok-shop/product"}]},{"group":"Truth Social","pages":[{"title":"Truth Social","href":"/api-reference/truth-social"},{"title":"Get a Truth Social profile","openapi":"get /v1/truthsocial/profile","href":"/api-reference/truth-social/profile"},{"title":"Get a Truth Social user's posts","openapi":"get /v1/truthsocial/user/posts","href":"/api-reference/truth-social/user-posts"},{"title":"Get a Truth Social post","openapi":"get /v1/truthsocial/post","href":"/api-reference/truth-social/post"}]},{"group":"Bluesky","pages":[{"title":"Bluesky","href":"/api-reference/bluesky"},{"title":"Get a Bluesky profile","openapi":"get /v1/bluesky/profile","href":"/api-reference/bluesky/profile"},{"title":"Get a Bluesky user's posts","openapi":"get /v1/bluesky/user/posts","href":"/api-reference/bluesky/user-posts"},{"title":"Get a Bluesky post","openapi":"get /v1/bluesky/post","href":"/api-reference/bluesky/post"}]},{"group":"Twitch","pages":[{"title":"Twitch","href":"/api-reference/twitch"},{"title":"Get a Twitch profile","openapi":"get /v1/twitch/profile","href":"/api-reference/twitch/profile"},{"title":"Get a Twitch channel's videos","openapi":"get /v1/twitch/user/videos","href":"/api-reference/twitch/user-videos"},{"title":"Get a Twitch channel's schedule","openapi":"get /v1/twitch/user/schedule","href":"/api-reference/twitch/user-schedule"},{"title":"Get a Twitch clip","openapi":"get /v1/twitch/clip","href":"/api-reference/twitch/clip"}]},{"group":"Apple Music","pages":[{"title":"Apple Music","href":"/api-reference/apple-music"},{"title":"Get an Apple Music artist","openapi":"get /v1/apple-music/artist","href":"/api-reference/apple-music/artist"},{"title":"Get an Apple Music album","openapi":"get /v1/apple-music/album","href":"/api-reference/apple-music/album"},{"title":"Get an Apple Music track","openapi":"get /v1/apple-music/track","href":"/api-reference/apple-music/track"},{"title":"Search Apple Music","openapi":"get /v1/apple-music/search","href":"/api-reference/apple-music/search"}]},{"group":"Spotify","pages":[{"title":"Spotify","href":"/api-reference/spotify"},{"title":"Get a Spotify artist","openapi":"get /v1/spotify/artist","href":"/api-reference/spotify/artist"},{"title":"Get a Spotify track","openapi":"get /v1/spotify/track","href":"/api-reference/spotify/track"},{"title":"Get a Spotify album","openapi":"get /v1/spotify/album","href":"/api-reference/spotify/album"},{"title":"Get a Spotify playlist","openapi":"get /v1/spotify/playlist","href":"/api-reference/spotify/playlist"},{"title":"Get a Spotify podcast","openapi":"get /v1/spotify/podcast","href":"/api-reference/spotify/podcast"},{"title":"Search Spotify","openapi":"get /v1/spotify/search","href":"/api-reference/spotify/search"}]},{"group":"SoundCloud","pages":[{"title":"SoundCloud","href":"/api-reference/soundcloud"},{"title":"Get a SoundCloud artist","openapi":"get /v1/soundcloud/artist","href":"/api-reference/soundcloud/artist"},{"title":"Get a SoundCloud artist's tracks","openapi":"get /v1/soundcloud/artist/tracks","href":"/api-reference/soundcloud/artist-tracks"},{"title":"Get a SoundCloud track","openapi":"get /v1/soundcloud/track","href":"/api-reference/soundcloud/track"}]},{"group":"Kwai","pages":[{"title":"Kwai","href":"/api-reference/kwai"},{"title":"Get a Kwai profile","openapi":"get /v1/kwai/profile","href":"/api-reference/kwai/profile"},{"title":"Get a Kwai user's posts","openapi":"get /v1/kwai/user/posts","href":"/api-reference/kwai/user-posts"},{"title":"Get a Kwai post","openapi":"get /v1/kwai/post","href":"/api-reference/kwai/post"}]},{"title":"Kick","openapi":"get /v1/kick/clip","href":"/api-reference/kick"},{"group":"Snapchat","pages":[{"title":"Snapchat","href":"/api-reference/snapchat"},{"title":"Get a Snapchat profile","openapi":"get /v1/snapchat/profile","href":"/api-reference/snapchat/profile"},{"title":"Get a Snapchat Spotlight video","openapi":"get /v1/snapchat/spotlight","href":"/api-reference/snapchat/spotlight"}]},{"title":"Link in Bio","openapi":"get /v1/link-in-bio/{provider}","href":"/api-reference/link-in-bio"},{"group":"TikTok Ad Library","pages":[{"title":"TikTok Ad Library","href":"/api-reference/tiktok-ad-library"},{"title":"Search the TikTok Ad Library","openapi":"get /v1/tiktok/ad-library/search","href":"/api-reference/tiktok-ad-library/search"},{"title":"Get a TikTok Ad Library ad","openapi":"get /v1/tiktok/ad-library/ad","href":"/api-reference/tiktok-ad-library/ad"}]},{"group":"Google Ad Library","pages":[{"title":"Google Ad Library","href":"/api-reference/google-ad-library"},{"title":"Search the Google Ad Library","openapi":"get /v1/google/ad-library/search","href":"/api-reference/google-ad-library/search"},{"title":"Get a Google Ad Library ad","openapi":"get /v1/google/ad-library/ad","href":"/api-reference/google-ad-library/ad"}]},{"group":"LinkedIn Ad Library","pages":[{"title":"LinkedIn Ad Library","href":"/api-reference/linkedin-ad-library"},{"title":"Search the LinkedIn Ad Library","openapi":"get /v1/linkedin/ad-library/search","href":"/api-reference/linkedin-ad-library/search"},{"title":"Get a LinkedIn Ad Library ad","openapi":"get /v1/linkedin/ad-library/ad","href":"/api-reference/linkedin-ad-library/ad"}]},{"group":"Jobs","pages":[{"title":"Jobs","href":"/api-reference/jobs"},{"title":"Create an async job","openapi":"post /v1/jobs","href":"/api-reference/jobs/create"},{"title":"Get job status","openapi":"get /v1/jobs/{id}","href":"/api-reference/jobs/status"},{"title":"Get job result","openapi":"get /v1/jobs/{id}/result","href":"/api-reference/jobs/result"},{"title":"Cancel a job","openapi":"post /v1/jobs/{id}/cancel","href":"/api-reference/jobs/cancel"}]},{"group":"Amazon","pages":[{"title":"Amazon","href":"/api-reference/amazon"},{"title":"Search Amazon","openapi":"get /v1/amazon/search","href":"/api-reference/amazon/search"},{"title":"Get product details","openapi":"get /v1/amazon/product","href":"/api-reference/amazon/product"},{"title":"Get offer pricing","openapi":"get /v1/amazon/pricing","href":"/api-reference/amazon/pricing"},{"title":"Queue a search crawl","openapi":"get /v1/amazon/search/crawl","href":"/api-reference/amazon/search-crawl"}]},{"group":"Walmart","pages":[{"title":"Walmart","href":"/api-reference/walmart"},{"title":"Search Walmart","openapi":"get /v1/walmart/search","href":"/api-reference/walmart/search"},{"title":"Queue a search crawl","openapi":"get /v1/walmart/search/crawl","href":"/api-reference/walmart/search-crawl"}]},{"group":"Target","pages":[{"title":"Target","href":"/api-reference/target"},{"title":"Get a Target product","openapi":"get /v1/target/product","href":"/api-reference/target/product"},{"title":"Search Target","openapi":"get /v1/target/search","href":"/api-reference/target/search"}]},{"group":"AutoTrader","pages":[{"title":"AutoTrader","href":"/api-reference/autotrader"},{"title":"Search AutoTrader","openapi":"get /v1/autotrader/search","href":"/api-reference/autotrader/search"},{"title":"Get an AutoTrader listing","openapi":"get /v1/autotrader/listing","href":"/api-reference/autotrader/listing"}]},{"group":"Glassdoor","pages":[{"title":"Glassdoor","href":"/api-reference/glassdoor"},{"title":"Search Glassdoor jobs","description":"Search Glassdoor job listings by keywords, with an optional free-text location.","openapi":"get /v1/glassdoor/jobs","href":"/api-reference/glassdoor/jobs"},{"title":"Get a Glassdoor job's detail","openapi":"get /v1/glassdoor/job","href":"/api-reference/glassdoor/job"}]},{"group":"Trustpilot","pages":[{"title":"Trustpilot","description":"Fetch Trustpilot reviews for a business domain, with rating/language/verified filters.","href":"/api-reference/trustpilot"},{"title":"Get Trustpilot reviews","openapi":"get /v1/trustpilot/reviews","href":"/api-reference/trustpilot/reviews"}]},{"group":"ZipRecruiter","pages":[{"title":"ZipRecruiter","href":"/api-reference/ziprecruiter"},{"title":"Search ZipRecruiter jobs","openapi":"get /v1/ziprecruiter/jobs","href":"/api-reference/ziprecruiter/jobs"}]},{"group":"Dice","pages":[{"title":"Dice","href":"/api-reference/dice"},{"title":"Search Dice jobs","openapi":"get /v1/dice/jobs","href":"/api-reference/dice/jobs"},{"title":"Get a Dice job's detail","openapi":"get /v1/dice/job","href":"/api-reference/dice/job"}]},{"group":"SimplyHired","pages":[{"title":"SimplyHired","href":"/api-reference/simplyhired"},{"title":"Search SimplyHired jobs","openapi":"get /v1/simplyhired/jobs","href":"/api-reference/simplyhired/jobs"},{"title":"Get a SimplyHired job's detail","openapi":"get /v1/simplyhired/job","href":"/api-reference/simplyhired/job"}]},{"group":"Built In","pages":[{"title":"Built In","href":"/api-reference/builtin"},{"title":"Search Built In jobs","openapi":"get /v1/builtin/jobs","href":"/api-reference/builtin/jobs"},{"title":"Get a Built In job's detail","openapi":"get /v1/builtin/job","href":"/api-reference/builtin/job"}]},{"group":"Wellfound","pages":[{"title":"Wellfound","href":"/api-reference/wellfound"},{"title":"Search Wellfound jobs","openapi":"get /v1/wellfound/jobs","href":"/api-reference/wellfound/jobs"}]},{"group":"Booking.com","pages":[{"title":"Booking.com","href":"/api-reference/booking"},{"title":"Search hotel availability","openapi":"get /v1/booking/search","href":"/api-reference/booking/search"},{"title":"Queue a search crawl","openapi":"get /v1/booking/search/crawl","href":"/api-reference/booking/search-crawl"},{"title":"Get property details","openapi":"get /v1/booking/property","href":"/api-reference/booking/property"},{"title":"Get reviews","openapi":"get /v1/booking/reviews","href":"/api-reference/booking/reviews"}]},{"group":"Agoda","pages":[{"title":"Agoda","href":"/api-reference/agoda"},{"title":"Search hotel availability","openapi":"get /v1/agoda/search","href":"/api-reference/agoda/search"},{"title":"Queue a search crawl","openapi":"get /v1/agoda/search/crawl","href":"/api-reference/agoda/search-crawl"},{"title":"Get property details","openapi":"get /v1/agoda/property","href":"/api-reference/agoda/property"},{"title":"Get reviews","openapi":"get /v1/agoda/reviews","href":"/api-reference/agoda/reviews"},{"title":"Queue a reviews crawl","openapi":"get /v1/agoda/reviews/crawl","href":"/api-reference/agoda/reviews-crawl"}]},{"title":"Hotel Monitors","href":"/api-reference/hotel-monitors"},{"group":"Airbnb","pages":[{"title":"Airbnb","href":"/api-reference/airbnb"},{"title":"Search Airbnb","openapi":"get /v1/airbnb/search","href":"/api-reference/airbnb/search"},{"title":"Get an Airbnb listing","openapi":"get /v1/airbnb/listing","href":"/api-reference/airbnb/listing"}]},{"group":"Reddit","pages":[{"title":"Reddit","href":"/api-reference/reddit"},{"title":"Get a Reddit post","openapi":"get /v1/reddit/post","href":"/api-reference/reddit/post"},{"title":"Get a subreddit feed","openapi":"get /v1/reddit/subreddit","href":"/api-reference/reddit/subreddit"},{"title":"Get a Reddit user's activity","openapi":"get /v1/reddit/user","href":"/api-reference/reddit/user"}]},{"group":"Instagram","pages":[{"title":"Instagram","href":"/api-reference/instagram"},{"title":"Get an Instagram profile","openapi":"get /v1/instagram/profile","href":"/api-reference/instagram/profile"},{"title":"Get a profile's recent posts","openapi":"get /v1/instagram/posts","href":"/api-reference/instagram/posts"},{"title":"Get a single Instagram post","openapi":"get /v1/instagram/post","href":"/api-reference/instagram/post"},{"title":"List a profile's Story Highlights","openapi":"get /v1/instagram/highlights","href":"/api-reference/instagram/highlights"},{"title":"Get one Story Highlight's content","openapi":"get /v1/instagram/highlight","href":"/api-reference/instagram/highlight"},{"title":"Search Instagram for accounts","openapi":"get /v1/instagram/search","href":"/api-reference/instagram/search"},{"title":"Get a profile's tagged posts","openapi":"get /v1/instagram/tagged","href":"/api-reference/instagram/tagged"},{"title":"Get a post's comments","openapi":"get /v1/instagram/comments","href":"/api-reference/instagram/comments"},{"title":"Search Instagram profiles (dedicated)","openapi":"get /v1/instagram/profile-search","href":"/api-reference/instagram/profile-search"},{"title":"Search Instagram's topic/Explore results","openapi":"get /v1/instagram/popular-search","href":"/api-reference/instagram/popular-search"},{"title":"Search hashtag names","openapi":"get /v1/instagram/hashtag-search","href":"/api-reference/instagram/hashtag-search"},{"title":"Search Reels","openapi":"get /v1/instagram/reels-search","href":"/api-reference/instagram/reels-search"},{"title":"Get Reels using a given audio track","openapi":"get /v1/instagram/reels-by-audio","href":"/api-reference/instagram/reels-by-audio"},{"title":"Get trending Reels","openapi":"get /v1/instagram/trending-reels","href":"/api-reference/instagram/trending-reels"},{"title":"Get posts within a hashtag","openapi":"get /v1/instagram/hashtag-posts","href":"/api-reference/instagram/hashtag-posts"},{"title":"Get a profile by numeric user ID","openapi":"get /v1/instagram/basic-profile","href":"/api-reference/instagram/basic-profile"},{"title":"Get replies to a comment","openapi":"get /v1/instagram/comment-replies","href":"/api-reference/instagram/comment-replies"},{"title":"List a profile's Reels","openapi":"get /v1/instagram/reels","href":"/api-reference/instagram/reels"}]},{"group":"Twitter","pages":[{"title":"Twitter / X","href":"/api-reference/twitter"},{"title":"Get an X (Twitter) profile","openapi":"get /v1/twitter/profile","href":"/api-reference/twitter/profile"},{"title":"Get a profile's tweet timeline","openapi":"get /v1/twitter/tweets","href":"/api-reference/twitter/tweets"},{"title":"Get a single tweet","openapi":"get /v1/twitter/tweet","href":"/api-reference/twitter/tweet"},{"title":"Search tweets","openapi":"get /v1/twitter/search","href":"/api-reference/twitter/search"},{"title":"Get an X Community","openapi":"get /v1/twitter/community","href":"/api-reference/twitter/community"},{"title":"Get tweets posted within an X Community","openapi":"get /v1/twitter/community/tweets","href":"/api-reference/twitter/community-tweets"}]},{"group":"LinkedIn","pages":[{"title":"LinkedIn","href":"/api-reference/linkedin"},{"title":"Get a LinkedIn Company Page","openapi":"get /v1/linkedin/company","href":"/api-reference/linkedin/company"},{"title":"Get a LinkedIn Company Page's posts","openapi":"get /v1/linkedin/company/posts","href":"/api-reference/linkedin/company-posts"},{"title":"Get a LinkedIn post","openapi":"get /v1/linkedin/post","href":"/api-reference/linkedin/post"}]},{"group":"Pinterest","pages":[{"title":"Pinterest","href":"/api-reference/pinterest"},{"title":"Get a Pinterest profile","openapi":"get /v1/pinterest/profile","href":"/api-reference/pinterest/profile"},{"title":"Get a Pinterest account's pins","openapi":"get /v1/pinterest/pins","href":"/api-reference/pinterest/pins"},{"title":"Get a Pinterest pin","openapi":"get /v1/pinterest/pin","href":"/api-reference/pinterest/pin"},{"title":"Search Pinterest","openapi":"get /v1/pinterest/search","href":"/api-reference/pinterest/search"}]},{"group":"Threads","pages":[{"title":"Threads","href":"/api-reference/threads"},{"title":"Get a Threads profile","openapi":"get /v1/threads/profile","href":"/api-reference/threads/profile"},{"title":"Get a Threads account's posts","openapi":"get /v1/threads/posts","href":"/api-reference/threads/posts"},{"title":"Get a Threads post","openapi":"get /v1/threads/post","href":"/api-reference/threads/post"}]},{"group":"Facebook","pages":[{"title":"Facebook","href":"/api-reference/facebook"},{"title":"Get a Facebook Page","openapi":"get /v1/facebook/page","href":"/api-reference/facebook/page"},{"title":"Get a Page's recent feed posts","openapi":"get /v1/facebook/posts","href":"/api-reference/facebook/posts"},{"title":"Get a Page's photo grid","openapi":"get /v1/facebook/photos","href":"/api-reference/facebook/photos"},{"title":"Get a Page's reels","openapi":"get /v1/facebook/reels","href":"/api-reference/facebook/reels"},{"title":"Get a single Facebook post","openapi":"get /v1/facebook/post","href":"/api-reference/facebook/post"},{"title":"Get a public Facebook Group","openapi":"get /v1/facebook/group","href":"/api-reference/facebook/group"},{"title":"Get a Group's recent feed posts","openapi":"get /v1/facebook/group/posts","href":"/api-reference/facebook/group-posts"},{"title":"Get a Facebook event","openapi":"get /v1/facebook/event","href":"/api-reference/facebook/event"},{"title":"Search Facebook events","openapi":"get /v1/facebook/events/search","href":"/api-reference/facebook/events-search"},{"title":"Get a Facebook Marketplace listing","openapi":"get /v1/facebook/marketplace/item","href":"/api-reference/facebook/marketplace-item"},{"title":"Search Facebook Marketplace","openapi":"get /v1/facebook/marketplace/search","href":"/api-reference/facebook/marketplace-search"},{"title":"Get a single Ad Library ad","openapi":"get /v1/facebook/adLibrary/ad","href":"/api-reference/facebook/ad-library-ad"},{"title":"Search the Ad Library by keyword","openapi":"get /v1/facebook/adLibrary/search/ads","href":"/api-reference/facebook/ad-library-search-ads"},{"title":"Get every ad a Page has run","openapi":"get /v1/facebook/adLibrary/company/ads","href":"/api-reference/facebook/ad-library-company-ads"}]},{"group":"Hacker News","pages":[{"title":"Hacker News","href":"/api-reference/hacker-news"},{"title":"Get a Hacker News item","openapi":"get /v1/hacker-news/item","href":"/api-reference/hacker-news/item"},{"title":"Get a Hacker News user","openapi":"get /v1/hacker-news/user","href":"/api-reference/hacker-news/user"},{"title":"Search Hacker News","openapi":"get /v1/hacker-news/search","href":"/api-reference/hacker-news/search"},{"title":"Get Hacker News stories","openapi":"get /v1/hacker-news/stories","href":"/api-reference/hacker-news/stories"}]},{"group":"GitHub","pages":[{"title":"GitHub","href":"/api-reference/github"},{"title":"Get a GitHub user","openapi":"get /v1/github/user","href":"/api-reference/github/user"},{"title":"Get a GitHub repository","openapi":"get /v1/github/repo","href":"/api-reference/github/repo"},{"title":"Get a GitHub user's repositories","openapi":"get /v1/github/repos","href":"/api-reference/github/repos"}]},{"group":"Product Hunt","pages":[{"title":"Product Hunt","href":"/api-reference/product-hunt"},{"title":"Get the leaderboard","openapi":"get /v1/product-hunt/leaderboard","href":"/api-reference/product-hunt/leaderboard"},{"title":"Queue a leaderboard crawl","openapi":"get /v1/product-hunt/leaderboard/crawl","href":"/api-reference/product-hunt/leaderboard-crawl"},{"title":"Get a product's profile","openapi":"get /v1/product-hunt/product","href":"/api-reference/product-hunt/product"},{"title":"Get a maker's profile","openapi":"get /v1/product-hunt/maker","href":"/api-reference/product-hunt/maker"}]},{"group":"Monitors","pages":[{"title":"Monitors","href":"/api-reference/monitors"},{"title":"Create a monitor","openapi":"post /v1/monitors","href":"/api-reference/monitors/create"},{"title":"List monitors","openapi":"get /v1/monitors","href":"/api-reference/monitors/list"},{"title":"Get monitor detail","openapi":"get /v1/monitors/{id}","href":"/api-reference/monitors/get"},{"title":"Update a monitor","openapi":"patch /v1/monitors/{id}","href":"/api-reference/monitors/update"},{"title":"Delete a monitor","openapi":"delete /v1/monitors/{id}","href":"/api-reference/monitors/delete"},{"title":"Trigger a monitor","openapi":"post /v1/monitors/{id}/trigger","href":"/api-reference/monitors/trigger"},{"title":"List run history","openapi":"get /v1/monitors/{id}/runs","href":"/api-reference/monitors/runs"},{"title":"Get latest run","openapi":"get /v1/monitors/{id}/runs/latest","href":"/api-reference/monitors/runs-latest"},{"title":"List detected changes","openapi":"get /v1/monitors/{id}/changes","href":"/api-reference/monitors/changes"},{"title":"Get latest change","openapi":"get /v1/monitors/{id}/changes/latest","href":"/api-reference/monitors/changes-latest"}]}]}]},"basePath":"","title":"Get a Glassdoor job's detail - Scrapio","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}